# Class EnemyAttackStatusEffectChanceModifierType

#### Hierarchy (view full)

- ModifierType
  - EnemyAttackStatusEffectChanceModifierType

- Defined in src/modifier/modifier-type.ts:984

#####
Index

### Constructors

constructor

### Properties

chancePercent
effect
generatorId
group
iconImage
id
localeKey
newModifierFunc
soundName
tier

### Accessors

name

### Methods

getDescription
getOrInferTier
newModifier
setTier
withIdFromFunc

## Constructors

### constructor

- new EnemyAttackStatusEffectChanceModifierType(localeKey, iconImage, chancePercent, effect, stackCount?): EnemyAttackStatusEffectChanceModifierType

- #### Parameters

  - localeKey: string
  - iconImage: string
  - chancePercent: number
  - effect: StatusEffect
  - `Optional` stackCount: number

  #### Returns EnemyAttackStatusEffectChanceModifierType

  Overrides ModifierType.constructor

  - Defined in src/modifier/modifier-type.ts:988

## Properties

### `Private` chancePercent

chancePercent: number

- Defined in src/modifier/modifier-type.ts:985

### `Private` effect

effect: StatusEffect

- Defined in src/modifier/modifier-type.ts:986

### generatorId

generatorId: string

Inherited from ModifierType.generatorId

- Defined in src/modifier/modifier-type.ts:47

### group

group: string

Inherited from ModifierType.group

- Defined in src/modifier/modifier-type.ts:50

### iconImage

iconImage: string

Inherited from ModifierType.iconImage

- Defined in src/modifier/modifier-type.ts:49

### id

id: string

Inherited from ModifierType.id

- Defined in src/modifier/modifier-type.ts:46

### localeKey

localeKey: string

Inherited from ModifierType.localeKey

- Defined in src/modifier/modifier-type.ts:48

### `Protected` newModifierFunc

newModifierFunc: NewModifierFunc

Inherited from ModifierType.newModifierFunc

- Defined in src/modifier/modifier-type.ts:53

### soundName

soundName: string

Inherited from ModifierType.soundName

- Defined in src/modifier/modifier-type.ts:51

### tier

tier: ModifierTier

Inherited from ModifierType.tier

- Defined in src/modifier/modifier-type.ts:52

## Accessors

### name

- get name(): string

- #### Returns string

  Inherited from ModifierType.name

  - Defined in src/modifier/modifier-type.ts:63

## Methods

### getDescription

- getDescription(scene): string

- #### Parameters

  - scene: default

  #### Returns string

  Overrides ModifierType.getDescription

  - Defined in src/modifier/modifier-type.ts:995

### getOrInferTier

- getOrInferTier(poolType?): ModifierTier

- #### Parameters

  - poolType: ModifierPoolType = ModifierPoolType.PLAYER

  #### Returns ModifierTier

  Inherited from ModifierType.getOrInferTier

  - Defined in src/modifier/modifier-type.ts:75

### newModifier

- newModifier(...args): Modifier

- #### Parameters

  - `Rest` ...args: any[]

  #### Returns Modifier

  Inherited from ModifierType.newModifier

  - Defined in src/modifier/modifier-type.ts:117

### setTier

- setTier(tier): void

- #### Parameters

  - tier: ModifierTier

  #### Returns void

  Inherited from ModifierType.setTier

  - Defined in src/modifier/modifier-type.ts:71

### withIdFromFunc

- withIdFromFunc(func): ModifierType

- #### Parameters

  - func: ModifierTypeFunc

  #### Returns ModifierType

  Inherited from ModifierType.withIdFromFunc

  - Defined in src/modifier/modifier-type.ts:112